<?php

namespace App\Http\Controllers\Front;

use App\Http\Controllers\Controller;
use App\Models\Category;
use App\Models\CountryLocale;
use Illuminate\Http\Request;

use Stevebauman\Location\Facades\Location;


class HomeController extends Controller
{
    public function index(Request $request)
    {
        $country = strtolower($request->session()->get('country'));

        return redirect()->route('home.country', ['country' => $country]);
    }

    public function country(Request $request, $country)
    {
        $country_locale = CountryLocale::where('slug', $country)->first();

        if (! is_null($country)) {
            $categories = Category::where('country_locale_id', $country_locale->id)->get();

            $request->session()->put('view_country_locale', $country_locale);

            return view('front.country', ['categories' => $categories, 'country_locale' => $country_locale]);
        }

        return redirect()->route('home.country', ['country' => config('platform.general.fallback_country_slug')]);
    }

    public function countryCategory(Request $request, $country, $category)
    {
      return "{$country} : {$category}";
    }

    public function posts(Request $request, $country)
    {
      return "{$country} : all posts";
    }

    public function post(Request $request, $country, $post)
    {
      return "{$country} : {$post}";
    }
}
